Skip to main content
PUT
/
networks
/
affiliates
/
{affiliateId}
/
users
/
{userId}
Update Affiliate User
curl --request PUT \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "first_name": "Bob",
  "last_name": "Smith",
  "email": "aff.user.updated@example.com",
  "language_id": 1,
  "timezone_id": 90,
  "currency_id": "USD",
  "account_status": "active",
  "title": "CEO",
  "work_phone": "1234567788",
  "instant_messaging_id": 0
}
'
{
  "network_affiliate_user_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "title": "<string>",
  "work_phone": "<string>",
  "cell_phone": "<string>",
  "instant_messaging_id": 123,
  "instant_messaging_identifier": "<string>",
  "language_id": 123,
  "timezone_id": 123,
  "currency_id": "<string>",
  "account_status": "active",
  "relationship": {
    "logins": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "customization": {},
    "audits": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "api": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "affiliate_account_status": "<string>"
  },
  "time_created": 1734455015,
  "time_saved": 1734455015
}
Update an existing affiliate user. You must specify all fields, not only the ones you wish to update. If you omit a field that is not marked as required, its default value will be used.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The ID of the affiliate whose user you want to update.

userId
integer
required

The ID of the user you want to update.

Body

application/json
first_name
string
required

The affiliate user's first name.

last_name
string
required

The affiliate user's last name.

email
string
required

The affiliate user's email. Must be unique among all affiliate users. Is used to log in the platform.

language_id
integer
required

The affiliate user's language ID. This is limited to the value 1 (English).

timezone_id
integer
required

The affiliate user's timezone ID. Can be found using the metadata API.

currency_id
string
required

The affiliate user's currency ID. Can be found using the metadata API.

account_status
enum<string>
required

The affiliate user's account status. Can be either active or inactive.

Available options:
active,
inactive
title
string

The affiliate user's title.

work_phone
string

The affiliate user's work phone number.

cell_phone
string

The affiliate user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform. Allows you to save their identifier for further reference. 0 = None, 1 = Skype, 2 = Yahoo Messenger, 3 = Telegram, 4 = WhatsApp, 5 = Other.

instant_messaging_identifier
string

The affiliate user's instant messaging identifier, if instant_messaging_id was different than 0.

Response

network_affiliate_user_id
integer

Unique affiliate user ID.

network_id
integer

The network ID this user belongs to.

network_affiliate_id
integer

The affiliate ID this user belongs to.

first_name
string

The affiliate user's first name.

last_name
string

The affiliate user's last name.

email
string

The affiliate user's email address. Is used to log in the platform.

title
string

The affiliate user's title.

work_phone
string

The affiliate user's work phone number.

cell_phone
string

The affiliate user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform.

instant_messaging_identifier
string

The affiliate user's instant messaging identifier.

language_id
integer

The affiliate user's language ID.

timezone_id
integer

The affiliate user's timezone ID.

currency_id
string

The affiliate user's currency ID.

account_status
enum<string>

The affiliate user's account status. Can be either active or inactive.

Available options:
active,
inactive
relationship
object

Related data for this affiliate user. Populate by passing relationship query parameters (e.g. ?relationship=logins&relationship=api).

time_created
integer

Unix timestamp of when the user was created.

Example:

1734455015

time_saved
integer

Unix timestamp of when the user was last updated.

Example:

1734455015